CMSIS DSP Software Library: arm_sin_cos_example_f32.c File Reference

Defines | Functions | Variables

# arm_sin_cos_example_f32.c File Reference

`#include <math.h>`
`#include "arm_math.h"`

Go to the source code of this file.

## Defines
#define | MAX_BLOCKSIZE 32
#define | DELTA (0.000001f)
## Functions
int32_t | main (void)
## Variables
const float32_t | testInput_f32 [MAX_BLOCKSIZE]
const float32_t | testRefOutput_f32 = 1.000000000
uint32_t | blockSize = 32
float32_t | testOutput
float32_t | cosOutput
float32_t | sinOutput
float32_t | cosSquareOutput
float32_t | sinSquareOutput
arm_status | status

## Define Documentation

#define MAX_BLOCKSIZE 32

Definition at line 74 of file arm_sin_cos_example_f32.c.

#define DELTA (0.000001f)

Definition at line 75 of file arm_sin_cos_example_f32.c.

## Function Documentation

int32_t main | ( | void | ) |

Definition at line 111 of file arm_sin_cos_example_f32.c.

## Variable Documentation

const float32_t testInput_f32[MAX_BLOCKSIZE]

Initial value:

    {
        -1.244916875853235400,  -4.793533929171324800,  0.360705030233248850,   0.827929644170887320,   -3.299532218312426900,  3.427441903227623800,   3.422401784294607700,   -0.108308165334010680,
        0.941943896490312180,   0.502609575000365850,   -0.537345278736373500,  2.088817392965764500,   -1.693168684143455700,  6.283185307179590700,   -0.392545884746175080,  0.327893095115825040,
        3.070147440456292300,   0.170611405884662230,   -0.275275082396073010,  -2.395492805446796300,  0.847311163536506600,   -3.845517018083148800,  2.055818378415868300,   4.672594161978930800,
        -1.990923030266425800,  2.469305197656249500,   3.609002606064021000,   -4.586736582331667500,  -4.147080139136136300,  1.643756718868359500,   -1.150866392366494800,  1.985805026477433800

    }

Definition at line 83 of file arm_sin_cos_example_f32.c.

const float32_t testRefOutput_f32 = 1.000000000

Definition at line 93 of file arm_sin_cos_example_f32.c.

uint32_t blockSize = 32

Definition at line 98 of file arm_sin_cos_example_f32.c.

float32_t testOutput

Definition at line 99 of file arm_sin_cos_example_f32.c.

float32_t cosOutput

Examples:
  arm_sin_cos_example_f32.c.

Definition at line 100 of file arm_sin_cos_example_f32.c.

float32_t sinOutput

Examples:
  arm_sin_cos_example_f32.c.

Definition at line 101 of file arm_sin_cos_example_f32.c.

float32_t cosSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

Definition at line 102 of file arm_sin_cos_example_f32.c.

float32_t sinSquareOutput

Examples:
  arm_sin_cos_example_f32.c.

Definition at line 103 of file arm_sin_cos_example_f32.c.

arm_status status

Definition at line 109 of file arm_sin_cos_example_f32.c.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines